Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156850 - up2date calls up2dateLog without importing it first
Summary: up2date calls up2dateLog without importing it first
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 17:46 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:22:23 UTC


Attachments (Terms of Use)
Nalin's recommendation as a patch (deleted)
2005-05-15 02:57 UTC, David Costanzo
no flags Details | Diff

Description Nalin Dahyabhai 2005-05-04 17:46:05 UTC
Description of problem:
up2date's top-level .py file calls up2dateLog.initLog(), but doesn't import
up2dateLog.

Version-Release number of selected component (if applicable):
4.4.17-1

How reproducible:
Whenever there's an exception thrown by the client.

Additional info:
/usr/sbin/up2date needs "from up2date_client import up2dateLog" added around
line 24, after "/usr/share/rhn" is added to sys.path.

Comment 1 David Costanzo 2005-05-15 02:57:17 UTC
Created attachment 114391 [details]
Nalin's recommendation as a patch

I have applied Nalin's recommendation to up2date-4.4.17-1.src.rpm and created a
patch.	Now, instead of throwing an exception, up2date logs the error to
/var/log/up2date.

Comment 2 John Thacker 2006-10-29 20:21:54 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 3 John Thacker 2006-11-05 16:22:23 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.